Gtk2::RadioMenuItem(3)

NAME
Gtk2::RadioMenuItem - wrapper for GtkRadioMenuItem

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Item
                                +----Gtk2::MenuItem
                                     +----Gtk2::CheckMenuItem
                                          +----Gtk2::RadioMenuItem

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gtk2::RadioMenuItem->new ($member_or_listref=undef, $label=undef)

•   $member_or_listref (scalar)

•   $label (string)

  widget = Gtk2::RadioMenuItem->new_from_widget ($group, $label=undef)

•   $group (Gtk2::RadioMenuItem)

•   $label (string)

Since: gtk+ 2.4

  widget = Gtk2::RadioMenuItem->new_with_label ($member_or_listref=undef, $label=undef)

•   $member_or_listref (scalar)

•   $label (string)

  widget = Gtk2::RadioMenuItem->new_with_label_from_widget ($group, $label=undef)

•   $group (Gtk2::RadioMenuItem)

•   $label (string)

Since: gtk+ 2.4

  widget = Gtk2::RadioMenuItem->new_with_mnemonic ($member_or_listref=undef, $label=undef)

•   $member_or_listref (scalar)

•   $label (string)

  widget = Gtk2::RadioMenuItem->new_with_mnemonic_from_widget ($group, $label=undef)

•   $group (Gtk2::RadioMenuItem)

•   $label (string)

Since: gtk+ 2.4

  arrayref = $radio_menu_item->get_group
Return a reference to an array of "Gtk2::RadioMenuItem"s, the group members.

  $radio_menu_item->set_group ($member_or_listref)

•   $member_or_listref (scalar)

PROPERTIES

'group' (Gtk2::RadioMenuItem : default undef : writable / private / static-nick / static-blurb)
    The radio menu item whose group this widget belongs to.

SIGNALS

group-changed (Gtk2::RadioMenuItem)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Item, Gtk2::MenuItem, Gtk2::CheckMenuItem

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.